# lsp-plug-in-plugins-lv2-impulse-responses-mono

LSP Impulse Responses Mono

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstAudioFilter
                            ╰──lsp-plug-in-plugins-lv2-impulse-responses-mono

## Implemented interfaces

    GstPreset

## Factory details

Authors: – LSP LV2

Classification: – `Filter/Effect/Audio/LV2/Reverb`

Rank – none

Plugin – lv2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: F32LE
           channels: 1
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: F32LE
           channels: 1
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – src

Object type – GstPad

## Properties

### bypass

    “bypass” gboolean

Bypass

Flags : Read / Write / Construct

Default value : false

### ca

    “ca” gboolean

Channel activity

Flags : Read

Default value : false

### cs

    “cs” Lsp-plug-in-plugins-lv2-impulse-responses-monocs *

Channel source

Flags : Read / Write / Construct

Default value : None (0)

### dry

    “dry” gfloat

Dry amount

Flags : Read / Write / Construct

Default value : 1

### eq-0

    “eq-0” gfloat

Band 50Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-1

    “eq-1” gfloat

Band 107Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-2

    “eq-2” gfloat

Band 227Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-3

    “eq-3” gfloat

Band 484Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-4

    “eq-4” gfloat

Band 1 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-5

    “eq-5” gfloat

Band 2.2 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-6

    “eq-6” gfloat

Band 4.7 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-7

    “eq-7” gfloat

Band 10 kHz gain

Flags : Read / Write / Construct

Default value : 1

### fft

    “fft” Lsp-plug-in-plugins-lv2-impulse-responses-monofft *

FFT size

Flags : Read / Write / Construct

Default value : 32767 (6)

### g-out

    “g-out” gfloat

Output gain

Flags : Read / Write / Construct

Default value : 1

### hcf

    “hcf” gfloat

High-cut frequency

Flags : Read / Write / Construct

Default value : 10000

### hcm

    “hcm” Lsp-plug-in-plugins-lv2-impulse-responses-monohcm *

High-cut mode

Flags : Read / Write / Construct

Default value : off (0)

### ifi

    “ifi” gfloat

Fade in

Flags : Read / Write / Construct

Default value : 0

### ifl

    “ifl” gfloat

Impulse length

Flags : Read

Default value : 0

### ifo

    “ifo” gfloat

Fade out

Flags : Read / Write / Construct

Default value : 0

### ifs

    “ifs” gint

Load status

Flags : Read

Default value : 0

### ihc

    “ihc” gfloat

Head cut

Flags : Read / Write / Construct

Default value : 0

### ils

    “ils” gboolean

Impulse listen

Flags : Read / Write / Construct

Default value : false

### itc

    “itc” gfloat

Tail cut

Flags : Read / Write / Construct

Default value : 0

### lcf

    “lcf” gfloat

Low-cut frequency

Flags : Read / Write / Construct

Default value : 50

### lcm

    “lcm” Lsp-plug-in-plugins-lv2-impulse-responses-monolcm *

Low-cut mode

Flags : Read / Write / Construct

Default value : off (0)

### mk

    “mk” gfloat

Makeup gain

Flags : Read / Write / Construct

Default value : 1

### out-latency

    “out-latency” gint

Latency OUT

Flags : Read

Default value : 0

### pd

    “pd” gfloat

Pre-delay

Flags : Read / Write / Construct

Default value : 0

### wet

    “wet” gfloat

Wet amount

Flags : Read / Write / Construct

Default value : 1

### wpp

    “wpp” gboolean

Wet post-process

Flags : Read / Write / Construct

Default value : false

## Named constants

### Lsp-plug-in-plugins-lv2-impulse-responses-monocs

#### Members

`None` (0) – None
`Left` (1) – Left
`Right` (2) – Right

### Lsp-plug-in-plugins-lv2-impulse-responses-monofft

#### Members

`512` (0) – 512
`1024` (1) – 1024
`2048` (2) – 2048
`4096` (3) – 4096
`8192` (4) – 8192
`16384` (5) – 16384
`32767` (6) – 32767
`65536` (7) – 65536

### Lsp-plug-in-plugins-lv2-impulse-responses-monohcm

#### Members

`off` (0) – off
`6 dB/oct` (1) – 6 dB/oct
`12 dB/oct` (2) – 12 dB/oct
`18 dB/oct` (3) – 18 dB/oct

### Lsp-plug-in-plugins-lv2-impulse-responses-monolcm

#### Members

`off` (0) – off
`6 dB/oct` (1) – 6 dB/oct
`12 dB/oct` (2) – 12 dB/oct
`18 dB/oct` (3) – 18 dB/oct

The results of the search are